Skip to main content
GET
/
themes
/
{slug}
/
versions
Get all plugin versions
curl --request GET \
  --url https://registry.wp-content.io/themes/{slug}/versions \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://registry.wp-content.io/themes/{slug}/versions"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://registry.wp-content.io/themes/{slug}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "version": "1.0.1",
    "release_notes": "Version update",
    "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.1-2f5fafc05b11f83c15a8b72ce15609c8.zip",
    "checksum": "2f5fafc05b11f83c15a8b72ce15609c8",
    "latest": true
  },
  {
    "version": "1.0.0",
    "release_notes": "Version update",
    "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip",
    "checksum": "86869156b3b9fbffd6e69fa6cf49452a",
    "latest": false
  }
]
{
"status": 404,
"error": 404,
"messages": {
"error": "Theme not found."
}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

slug
string
required

Slug of theme

Response

OK

The response is of type object.